%global	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname	isolate
%global	geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%global	rubyabi	1.8

%if %{?fedora:0%{fedora} >= 17}%{?rhel:0%{rhel} >= 7}
%global	gemdir	%{gem_dir}
%global	gem_name	%{gemname}
%global	geminstdir	%{gem_instdir}
%global	rubyabi	1.9.1
%global	ruby19	1
%else
%global ruby19	0
%endif

Summary:	Very simple RubyGems sandbox

Name:		rubygem-%{gemname}
Version:	3.2.2
Release:	1%{?dist}
Group:		Development/Languages
License:	MIT
URL:		http://github.com/jbarnette/isolate
Source0:	http://rubygems.org/downloads/%{gemname}-%{version}.gem

BuildArch:	noarch

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems
%if 0%{?ruby19} > 0
BuildRequires:	rubygems-devel
%endif
# For %%check
BuildRequires:	rubygem(hoe)
BuildRequires:	rubygem(minitest)
BuildRequires:	rubygem(rake)
#BuildRequires:	iputils

Requires:	ruby(abi) = %{rubyabi}
Requires:	rubygems

Provides:	rubygem(%{gemname}) = %{version}

%description
Isolate is a very simple RubyGems sandbox. It provides a way to
express and automatically install your project's Gem dependencies.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install \
	--local \
	--install-dir $(pwd)%{gemdir} \
	--force \
	--rdoc \
	-V \
	%{SOURCE0}

chmod 0644 .%{gemdir}/cache/%{gemname}-%{version}.gem

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

# cleanup
rm -f %{buildroot}%{geminstdir}/{.autotest,.gemtest}

%check
ping -c 3 www.google.co.jp || exit 0

pushd .%{geminstdir}
ruby -rubygems %{_bindir}/rake test --trace

%files
%defattr(-,root,root,-)
%dir	%{geminstdir}
%doc	%{geminstdir}/CHANGELOG.rdoc
%doc	%{geminstdir}/README.rdoc
%{geminstdir}/lib/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Manifest.txt
%{geminstdir}/Rakefile
%{geminstdir}/test/
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Tue Apr 10 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.2-1
- 3.2.2

* Tue Apr 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 3.2.1-4
- Fix conditionals for F17 to work for RHEL 7 as well.

* Sun Jan 22 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.1-3
- Rebuild against ruby 1.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.1-1
- 3.2.1

* Fri Sep  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.0-1
- 3.2.0

* Sun Aug 14 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.2-1
- 3.1.2

* Thu Jul 28 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.1-1
- 3.1.1

* Sun Jul 17 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.0-1
- 3.1.0

* Mon Feb 14 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.0-2
- F-15 mass rebuild

* Sat Nov 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.0-1
- Initial package
